Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterCallItem

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.RegisterCallItem

public class RegisterCallItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterCallItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `LocalDateTime`
  `getDatetime()`
  `int`
  `getId()`
  `int`
  `getObjectId()`
  `String`
  `getObjectTitle()`
  `int`
  `getProblemId()`
  `String`
  `getProblemTitle()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `int`
  `getUserId()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDatetime(LocalDateTime datetime)`
  `void`
  `setId(int id)`
  `void`
  `setObjectId(int objectId)`
  `void`
  `setObjectTitle(String objectTitle)`
  `void`
  `setProblemId(int problemId)`
  `void`
  `setProblemTitle(String problemTitle)`
  `void`
  `setTypeId(int typeId)`
  `void`
  `setTypeTitle(String typeTitle)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterCallItem

    public RegisterCallItem()

- ## Method Details

  - ### getId

    public int getId()

  - ### getTypeId

    public int getTypeId()

  - ### getTypeTitle

    public String getTypeTitle()

  - ### getContractId

    public int getContractId()

  - ### getContractTitle

    public String getContractTitle()

  - ### getObjectId

    public int getObjectId()

  - ### getObjectTitle

    public String getObjectTitle()

  - ### getDatetime

    public LocalDateTime getDatetime()

  - ### getUserId

    public int getUserId()

  - ### getProblemId

    public int getProblemId()

  - ### getProblemTitle

    public String getProblemTitle()

  - ### getComment

    public String getComment()

  - ### setId

    public void setId(int id)

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### setContractId

    public void setContractId(int contractId)

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### setObjectId

    public void setObjectId(int objectId)

  - ### setObjectTitle

    public void setObjectTitle(String objectTitle)

  - ### setDatetime

    public void setDatetime(LocalDateTime datetime)

  - ### setUserId

    public void setUserId(int userId)

  - ### setProblemId

    public void setProblemId(int problemId)

  - ### setProblemTitle

    public void setProblemTitle(String problemTitle)

  - ### setComment

    public void setComment(String comment)